# FileSet.Include

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
name | string | The pattern or file name to include. | True
asis | bool | If true then the file name will be added to the <fileset> without pattern matching or checking if the file exists. The default is false. | False
frompath | bool | If true then the file will be searched for on the path. The default is false. | False
if | bool | If true then the pattern will be included; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the pattern will be included; otherwise, skipped. The default is false. | False

### Requirements

Assembly: NAnt.Core (0.90.3780.0)